Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class Parser

    java.lang.Object
      org.codehaus.groovy.tools.shell.Parser

    class Parser

Provides a facade over the parser to recognize valid Groovy syntax.

Authors:
  Jason Dillon

Version:
  \$Id\$

Property Summary
`static java.lang.String` | `NEWLINE`

Constructor Summary
`Parser()`

Method Summary
`ParseStatus` | `parse(java.util.List buffer)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### NEWLINE

    static final java.lang.String NEWLINE

Constructor Detail

### Parser

    Parser()

Method Detail

### parse

    ParseStatus parse(java.util.List buffer)

Groovy Documentation